<!DOCTYPE html>
<html dir="ltr" lang="en">
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0, minimum-scale=1.0, maximum-scale=5.0" />
    <title>Stencil Component Starter</title>
    <script src="https://cdn.tailwindcss.com"></script>
    <script type="module" src="/build/btm-widget-proto.esm.js"></script>
    <script nomodule src="/build/btm-widget-proto.js"></script>
  </head>
  <body>
    <div class="max-w-screen-xl m-auto px-3">
        <h1 class="text-3xl text-center mb-10">BOTTIMMO Widget Prototype</h1>
        <div>
          <code class="block text-center mb-10 language-html">
              &lt;btm-widget slug=&quot;<select class="js-slug-select"></select>&quot;
              company=&quot;it-company&quot;&gt;&lt;/btm-widget&gt;
          </code>
          <btm-widget
            id="widget"
            slug="immobilienbewertung"
            company="it-company"
          ></btm-widget>
        </div>
    </div>
    <script>
      (() => {
          const slugs = [
            "immobilienbewertung",
            "richtiger-immobilienpreis",
            "telefonische-beratung",
            "immobilien-fakten-und-begriffe",
            "immobilie-geerbt"
          ];
          function createWidgetElement(slug) {
            const $widget = document.createElement('btm-widget');
            $widget.setAttribute('slug', slug);
            $widget.setAttribute('company', 'it-company');
            $widget.setAttribute('iframeId', 'bwidget');
            return $widget;
          }
          function changeSlug(slug) {
            var _a;
            const $bottimmoWidget = document.querySelector('btm-widget');
            if ($bottimmoWidget) {
              $bottimmoWidget.slug = slug;
            }
          }
          const $slugSelect = document.querySelector('.js-slug-select');
          slugs.forEach((slug) => {
            const $option = document.createElement('option');
            $option.setAttribute('value', slug);
            $option.innerHTML = slug;
            $slugSelect === null || $slugSelect === void 0 ? void 0 : $slugSelect.append($option);
          });
          $slugSelect === null || $slugSelect === void 0 ? void 0 : $slugSelect.addEventListener('change', () => changeSlug($slugSelect.value));
      })();
    </script>
  </body>
</html>
